From 7a38611d4f188eb1b623cc877a7fb063054a873e Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Thu, 4 Oct 2018 14:26:51 +0200
Subject: [PATCH 2/2] kernel: Remove puffs(4) and putter(4), librefuse and
 mount_psshfs(8).

All of these were originally pushed and hooked into the build in non-
working condition so that they would not instantly break building. The
hope was that someone would pick up the work and fix the remaining
issues, which never materialized.

This has led to more harm than good, with people occasionally assuming
that this code is functional.

Suggested-by: aly
---
 Makefile_upgrade.inc                       |   48 +
 UPDATING                                   |    7 +
 etc/mtree/BSD.include.dist                 |    4 -
 etc/mtree/BSD.usr.dist                     |    4 -
 gnu/usr.bin/groff/tmac/mdoc.local          |    1 -
 include/Makefile                           |    4 +-
 lib/Makefile                               |    2 -
 lib/libpuffs/Makefile                      |   16 -
 lib/libpuffs/TODO                          |   42 -
 lib/libpuffs/callcontext.c                 |  362 -----
 lib/libpuffs/creds.c                       |  254 ----
 lib/libpuffs/dispatcher.c                  | 1103 --------------
 lib/libpuffs/flush.c                       |  130 --
 lib/libpuffs/framebuf.c                    | 1066 --------------
 lib/libpuffs/hash.h                        |  103 --
 lib/libpuffs/null.c                        |  654 ---------
 lib/libpuffs/opdump.c                      |  515 -------
 lib/libpuffs/paths.c                       |  293 ----
 lib/libpuffs/pnode.c                       |  167 ---
 lib/libpuffs/puffs.3                       |  563 -------
 lib/libpuffs/puffs.c                       | 1020 -------------
 lib/libpuffs/puffs.h                       |  687 ---------
 lib/libpuffs/puffs_cc.3                    |   93 --
 lib/libpuffs/puffs_cred.3                  |  167 ---
 lib/libpuffs/puffs_flush.3                 |  113 --
 lib/libpuffs/puffs_framebuf.3              |  620 --------
 lib/libpuffs/puffs_node.3                  |  101 --
 lib/libpuffs/puffs_ops.3                   |  782 ----------
 lib/libpuffs/puffs_path.3                  |  125 --
 lib/libpuffs/puffs_priv.h                  |  258 ----
 lib/libpuffs/puffsdump.h                   |   68 -
 lib/libpuffs/requests.c                    |  234 ---
 lib/libpuffs/subr.c                        |  326 -----
 lib/libpuffs/suspend.c                     |   45 -
 lib/librefuse/Makefile                     |   33 -
 lib/librefuse/TODO                         |   25 -
 lib/librefuse/fuse.h                       |  193 ---
 lib/librefuse/fuse_opt.h                   |   70 -
 lib/librefuse/refuse.3                     |  243 ---
 lib/librefuse/refuse.c                     | 1437 ------------------
 lib/librefuse/refuse_opt.c                 |  366 -----
 share/examples/puffs/pnullfs/Makefile      |   11 -
 share/examples/puffs/pnullfs/pnullfs.c     |  121 --
 share/man/man4/Makefile                    |    1 -
 share/man/man4/puffs.4                     |   61 -
 share/man/man9/Makefile                    |    1 -
 share/man/man9/putter.9                    |   48 -
 share/mk/bsd.libnames.mk                   |    1 -
 sys/conf/files                             |    7 -
 sys/conf/options                           |    1 -
 sys/config/LINT64                          |    2 -
 sys/dev/misc/Makefile                      |    2 +-
 sys/dev/misc/putter/Makefile               |    6 -
 sys/dev/misc/putter/putter.c               |  533 -------
 sys/dev/misc/putter/putter.h               |   40 -
 sys/dev/misc/putter/putter_sys.h           |   68 -
 sys/vfs/Makefile                           |    2 +-
 sys/vfs/puffs/Makefile                     |    7 -
 sys/vfs/puffs/puffs_io.c                   |  587 --------
 sys/vfs/puffs/puffs_msgif.c                | 1199 ---------------
 sys/vfs/puffs/puffs_msgif.h                |  677 ---------
 sys/vfs/puffs/puffs_node.c                 |  458 ------
 sys/vfs/puffs/puffs_subr.c                 |  189 ---
 sys/vfs/puffs/puffs_sys.h                  |  329 -----
 sys/vfs/puffs/puffs_vfsops.c               |  822 -----------
 sys/vfs/puffs/puffs_vnops.c                | 1541 --------------------
 usr.sbin/Makefile                          |    1 -
 usr.sbin/puffs/Makefile                    |    3 -
 usr.sbin/puffs/Makefile.inc                |    3 -
 usr.sbin/puffs/mount_psshfs/Makefile       |    8 -
 usr.sbin/puffs/mount_psshfs/fs.c           |  276 ----
 usr.sbin/puffs/mount_psshfs/mount_psshfs.8 |  204 ---
 usr.sbin/puffs/mount_psshfs/node.c         |  926 ------------
 usr.sbin/puffs/mount_psshfs/psbuf.c        |  595 --------
 usr.sbin/puffs/mount_psshfs/psshfs.c       |  442 ------
 usr.sbin/puffs/mount_psshfs/psshfs.h       |  248 ----
 usr.sbin/puffs/mount_psshfs/sftp_proto.h   |  122 --
 usr.sbin/puffs/mount_psshfs/subr.c         |  545 -------
 usr.sbin/puffs/mount_psshfs/util_compat.h  |   61 -
 79 files changed, 59 insertions(+), 22433 deletions(-)
 delete mode 100644 lib/libpuffs/Makefile
 delete mode 100644 lib/libpuffs/TODO
 delete mode 100644 lib/libpuffs/callcontext.c
 delete mode 100644 lib/libpuffs/creds.c
 delete mode 100644 lib/libpuffs/dispatcher.c
 delete mode 100644 lib/libpuffs/flush.c
 delete mode 100644 lib/libpuffs/framebuf.c
 delete mode 100644 lib/libpuffs/hash.h
 delete mode 100644 lib/libpuffs/null.c
 delete mode 100644 lib/libpuffs/opdump.c
 delete mode 100644 lib/libpuffs/paths.c
 delete mode 100644 lib/libpuffs/pnode.c
 delete mode 100644 lib/libpuffs/puffs.3
 delete mode 100644 lib/libpuffs/puffs.c
 delete mode 100644 lib/libpuffs/puffs.h
 delete mode 100644 lib/libpuffs/puffs_cc.3
 delete mode 100644 lib/libpuffs/puffs_cred.3
 delete mode 100644 lib/libpuffs/puffs_flush.3
 delete mode 100644 lib/libpuffs/puffs_framebuf.3
 delete mode 100644 lib/libpuffs/puffs_node.3
 delete mode 100644 lib/libpuffs/puffs_ops.3
 delete mode 100644 lib/libpuffs/puffs_path.3
 delete mode 100644 lib/libpuffs/puffs_priv.h
 delete mode 100644 lib/libpuffs/puffsdump.h
 delete mode 100644 lib/libpuffs/requests.c
 delete mode 100644 lib/libpuffs/subr.c
 delete mode 100644 lib/libpuffs/suspend.c
 delete mode 100644 lib/librefuse/Makefile
 delete mode 100644 lib/librefuse/TODO
 delete mode 100644 lib/librefuse/fuse.h
 delete mode 100644 lib/librefuse/fuse_opt.h
 delete mode 100644 lib/librefuse/refuse.3
 delete mode 100644 lib/librefuse/refuse.c
 delete mode 100644 lib/librefuse/refuse_opt.c
 delete mode 100644 share/examples/puffs/pnullfs/Makefile
 delete mode 100644 share/examples/puffs/pnullfs/pnullfs.c
 delete mode 100644 share/man/man4/puffs.4
 delete mode 100644 share/man/man9/putter.9
 delete mode 100644 sys/dev/misc/putter/Makefile
 delete mode 100644 sys/dev/misc/putter/putter.c
 delete mode 100644 sys/dev/misc/putter/putter.h
 delete mode 100644 sys/dev/misc/putter/putter_sys.h
 delete mode 100644 sys/vfs/puffs/Makefile
 delete mode 100644 sys/vfs/puffs/puffs_io.c
 delete mode 100644 sys/vfs/puffs/puffs_msgif.c
 delete mode 100644 sys/vfs/puffs/puffs_msgif.h
 delete mode 100644 sys/vfs/puffs/puffs_node.c
 delete mode 100644 sys/vfs/puffs/puffs_subr.c
 delete mode 100644 sys/vfs/puffs/puffs_sys.h
 delete mode 100644 sys/vfs/puffs/puffs_vfsops.c
 delete mode 100644 sys/vfs/puffs/puffs_vnops.c
 delete mode 100644 usr.sbin/puffs/Makefile
 delete mode 100644 usr.sbin/puffs/Makefile.inc
 delete mode 100644 usr.sbin/puffs/mount_psshfs/Makefile
 delete mode 100644 usr.sbin/puffs/mount_psshfs/fs.c
 delete mode 100644 usr.sbin/puffs/mount_psshfs/mount_psshfs.8
 delete mode 100644 usr.sbin/puffs/mount_psshfs/node.c
 delete mode 100644 usr.sbin/puffs/mount_psshfs/psbuf.c
 delete mode 100644 usr.sbin/puffs/mount_psshfs/psshfs.c
 delete mode 100644 usr.sbin/puffs/mount_psshfs/psshfs.h
 delete mode 100644 usr.sbin/puffs/mount_psshfs/sftp_proto.h
 delete mode 100644 usr.sbin/puffs/mount_psshfs/subr.c
 delete mode 100644 usr.sbin/puffs/mount_psshfs/util_compat.h

diff --git a/Makefile_upgrade.inc b/Makefile_upgrade.inc
index a7742cb087..6d2d73a11a 100644
--- a/Makefile_upgrade.inc
+++ b/Makefile_upgrade.inc
@@ -3441,6 +3441,54 @@ TO_REMOVE+=/usr/share/man/man4/rp.4.gz
 TO_REMOVE+=/usr/share/man/man4/si.4.gz
 TO_REMOVE+=/usr/share/man/man8/sicontrol.8.gz
 TO_REMOVE+=/usr/sbin/sicontrol
+TO_REMOVE+=/boot/kernel/puffs.ko
+TO_REMOVE+=/boot/kernel/putter.ko
+TO_REMOVE+=/usr/include/dev/misc/putter
+TO_REMOVE+=/usr/include/fuse.h
+TO_REMOVE+=/usr/include/fuse_opt.h
+TO_REMOVE+=/usr/include/puffs.h
+TO_REMOVE+=/usr/include/puffsdump.h
+TO_REMOVE+=/usr/include/vfs/puffs
+TO_REMOVE+=/usr/lib/libpuffs.a
+TO_REMOVE+=/usr/lib/libpuffs.so
+TO_REMOVE+=/usr/lib/libpuffs.so.3
+TO_REMOVE+=/usr/lib/librefuse.a
+TO_REMOVE+=/usr/lib/librefuse.so
+TO_REMOVE+=/usr/lib/librefuse.so.3
+TO_REMOVE+=/usr/lib/profile/libpuffs.a
+TO_REMOVE+=/usr/lib/profile/librefuse.a
+TO_REMOVE+=/usr/sbin/mount_psshfs
+TO_REMOVE+=/usr/share/examples/puffs
+TO_REMOVE+=/usr/share/man/man3/fuse_main.3.gz
+TO_REMOVE+=/usr/share/man/man3/fuse_opt_add_arg.3.gz
+TO_REMOVE+=/usr/share/man/man3/fuse_opt_parse.3.gz
+TO_REMOVE+=/usr/share/man/man3/fuse_setup.3.gz
+TO_REMOVE+=/usr/share/man/man3/fuse_teardown.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_cc.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_cred.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_flush.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_framebuf.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_create.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_getattr.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_link.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_mkdir.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_mknod.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_open.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_read.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_readdir.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_readlink.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_rename.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_rmdir.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_symlink.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_fuse_node_write.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_node.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_ops.3.gz
+TO_REMOVE+=/usr/share/man/man3/puffs_path.3.gz
+TO_REMOVE+=/usr/share/man/man3/refuse.3.gz
+TO_REMOVE+=/usr/share/man/man4/puffs.4.gz
+TO_REMOVE+=/usr/share/man/man8/mount_psshfs.8.gz
+TO_REMOVE+=/usr/share/man/man9/putter.9.gz
 
 .if !defined(WANT_INSTALLER)
 TO_REMOVE+=/usr/sbin/dfuibe_installer
diff --git a/UPDATING b/UPDATING
index a51422add3..dbe31f66d5 100644
--- a/UPDATING
+++ b/UPDATING
@@ -12,6 +12,13 @@
 +         UPGRADING DRAGONFLY FROM 5.2 TO LATER VERSIONS                +
 +-----------------------------------------------------------------------+
 
+PUFFS, PUTTER AND LIBREFUSE REMOVED
+-----------------------------------
+
+The puffs(4)/putter(4) subsystem has been removed, along with librefuse
+and the mount_psshfs(8) utility. All of these have never been working
+correctly.
+
 DIGI, RP AND SI DRIVERS REMOVED
 -------------------------------
 
diff --git a/etc/mtree/BSD.include.dist b/etc/mtree/BSD.include.dist
index ca12541fbf..bf8eda8fa0 100644
--- a/etc/mtree/BSD.include.dist
+++ b/etc/mtree/BSD.include.dist
@@ -269,8 +269,6 @@
             ..
             ppi
             ..
-            putter
-            ..
         ..
         netif
             wi
@@ -516,8 +514,6 @@
         ..
         ntfs
         ..
-        puffs
-        ..
         smbfs
         ..
         tmpfs
diff --git a/etc/mtree/BSD.usr.dist b/etc/mtree/BSD.usr.dist
index a6b0b32372..46526f8729 100644
--- a/etc/mtree/BSD.usr.dist
+++ b/etc/mtree/BSD.usr.dist
@@ -241,10 +241,6 @@
             ..
             printing
             ..
-            puffs
-                pnullfs
-                ..
-            ..
             rconfig
             ..
             scsi_target
diff --git a/gnu/usr.bin/groff/tmac/mdoc.local b/gnu/usr.bin/groff/tmac/mdoc.local
index 0e7efaaef1..9dc4a9fe5f 100644
--- a/gnu/usr.bin/groff/tmac/mdoc.local
+++ b/gnu/usr.bin/groff/tmac/mdoc.local
@@ -56,7 +56,6 @@
 .ds doc-str-Lb-libnetgraph      Netgraph User Library (libnetgraph, \-lnetgraph)
 .ds doc-str-Lb-libposix1e       POSIX.1e Security API Library (libposix1e, \-lposix1e)
 .ds doc-str-Lb-libprop          Property Container Object Library (libprop, \-lprop)
-.ds doc-str-Lb-libpuffs         puffs Convenience Library (libpuffs, \-lpuffs)
 .ds doc-str-Lb-libradius        RADIUS Client and Server Library (libradius, \-lradius)
 .ds doc-str-Lb-librefuse        File System in Userspace Convenience Library (librefuse, \-lrefuse)
 .ds doc-str-Lb-librpcsvc        RPC Service Library (librpcsvc, \-lrpcsvc)
diff --git a/include/Makefile b/include/Makefile
index 6a0dfb59a7..20b34b1987 100644
--- a/include/Makefile
+++ b/include/Makefile
@@ -56,7 +56,7 @@ LSUBDIRS= \
 	bus/cam bus/pccard bus/pci bus/isa bus/ppbus bus/smbus bus/u4b \
 	dev/disk/dm \
 	dev/disk/mpt/mpilib \
-	dev/misc/lpt dev/misc/ppi dev/misc/putter \
+	dev/misc/lpt dev/misc/ppi \
 	dev/netif/wi \
 	dev/raid/ciss dev/raid/mfi \
 	dev/smbus/smb \
@@ -85,7 +85,7 @@ LSUBDIRS= \
 	netgraph7/pptpgre netgraph7/rfc1490 netgraph7/socket \
 	netgraph7/tcpmss netgraph7/tee netgraph7/tty netgraph7/vjc \
 	netproto/802_11 netproto/mpls netproto/smb \
-	vfs/isofs/cd9660 vfs/puffs \
+	vfs/isofs/cd9660 \
 	vfs/msdosfs vfs/nfs vfs/ntfs \
 	vfs/smbfs vfs/udf vfs/ufs vfs/hammer vfs/hammer2 \
 	vfs/autofs vfs/tmpfs
diff --git a/lib/Makefile b/lib/Makefile
index 79a1cab543..5257ec99a8 100644
--- a/lib/Makefile
+++ b/lib/Makefile
@@ -83,8 +83,6 @@ SUBDIR=	${SUBDIR_ORDERED} \
 	libpcap \
 	libposix1e \
 	libprop \
-	libpuffs \
-	librefuse \
 	librpcsvc \
 	libsdp \
 	${_libsm} \
diff --git a/share/man/man4/Makefile b/share/man/man4/Makefile
index 29fe17b397..6cc940faa0 100644
--- a/share/man/man4/Makefile
+++ b/share/man/man4/Makefile
@@ -248,7 +248,6 @@ MAN=	aac.4 \
 	pt.4 \
 	pty.4 \
 	puc.4 \
-	puffs.4 \
 	radeonkms.4 \
 	ral.4 \
 	random.4 \
diff --git a/share/man/man9/Makefile b/share/man/man9/Makefile
index 0514cf4849..55a383c6d1 100644
--- a/share/man/man9/Makefile
+++ b/share/man/man9/Makefile
@@ -144,7 +144,6 @@ MAN=	accept_filter.9 \
 	physio.9 \
 	priv.9 \
 	prop_copyin_ioctl.9 \
-	putter.9 \
 	resettodr.9 \
 	rman.9 \
 	rtalloc.9 \
diff --git a/share/mk/bsd.libnames.mk b/share/mk/bsd.libnames.mk
index b920d0ceeb..3e5dd30afe 100644
--- a/share/mk/bsd.libnames.mk
+++ b/share/mk/bsd.libnames.mk
@@ -74,7 +74,6 @@ LIBPANEL?=	${DESTDIR}${LIBDIR}/priv/libprivate_panel.a
 LIBPCAP?=	${DESTDIR}${LIBDIR}/libpcap.a
 LIBPOSIX1E?=	${DESTDIR}${LIBDIR}/libposix1e.a
 LIBPROP?=	${DESTDIR}${LIBDIR}/libprop.a
-LIBPUFFS?=	${DESTDIR}${LIBDIR}/libpuffs.a
 LIBRADIUS?=	${DESTDIR}${LIBDIR}/libradius.a
 LIBREFUSE?=	${DESTDIR}${LIBDIR}/librefuse.a
 LIBRPCSVC?=	${DESTDIR}${LIBDIR}/librpcsvc.a
diff --git a/sys/conf/files b/sys/conf/files
index bfa5496525..e77e979298 100644
--- a/sys/conf/files
+++ b/sys/conf/files
@@ -1179,7 +1179,6 @@ bus/ppbus/ppb_msq.c	optional ppbus
 bus/ppbus/ppbconf.c	optional ppbus
 dev/misc/ppi/ppi.c		optional ppi
 dev/misc/pps/pps.c		optional pps
-dev/misc/putter/putter.c	optional putter
 dev/disk/vpo/vpo.c		optional vpo
 dev/disk/vpo/vpoio.c	optional vpo
 dev/crypto/rndtest/rndtest.c	optional rndtest
@@ -2005,12 +2004,6 @@ vfs/hammer2/zlib/hammer2_zlib_zutil.c	optional hammer2
 vfs/hammer2/zlib/hammer2_zlib_inftrees.c optional hammer2
 vfs/hammer2/zlib/hammer2_zlib_inffast.c	optional hammer2
 vfs/hammer2/zlib/hammer2_zlib_trees.c	optional hammer2
-vfs/puffs/puffs_io.c		optional puffs
-vfs/puffs/puffs_msgif.c		optional puffs
-vfs/puffs/puffs_node.c		optional puffs
-vfs/puffs/puffs_subr.c		optional puffs
-vfs/puffs/puffs_vfsops.c	optional puffs
-vfs/puffs/puffs_vnops.c		optional puffs
 vfs/tmpfs/tmpfs_fifoops.c	optional tmpfs
 vfs/tmpfs/tmpfs_subr.c		optional tmpfs
 vfs/tmpfs/tmpfs_vfsops.c	optional tmpfs
diff --git a/sys/conf/options b/sys/conf/options
index 8a0b116d14..eb973c457a 100644
--- a/sys/conf/options
+++ b/sys/conf/options
@@ -97,7 +97,6 @@ MSDOSFS		opt_dontuse.h
 NTFS		opt_dontuse.h
 NULLFS		opt_dontuse.h
 PROCFS		opt_dontuse.h
-PUFFS		opt_dontuse.h
 SMBFS		opt_dontuse.h
 TMPFS		opt_dontuse.h
 UDF		opt_dontuse.h
diff --git a/sys/config/LINT64 b/sys/config/LINT64
index 3b7a18e203..b7e8e74bcc 100644
--- a/sys/config/LINT64
+++ b/sys/config/LINT64
@@ -456,7 +456,6 @@ options 	MSDOSFS			#MS DOS filesystem
 options 	NTFS			#NT filesystem
 options 	NULLFS			#NULL filesystem
 options 	PROCFS			#Process filesystem
-options		PUFFS			#Userspace file systems (e.g. ntfs-3g & sshfs)
 options 	SMBFS			#SMB/CIFS filesystem
 options 	TMPFS			#Temporary filesystem
 options		UDF			#UDF filesystem
@@ -706,7 +705,6 @@ pseudo-device	pty		# Pseudo ttys
 pseudo-device	gzip		# Exec gzipped a.out's
 pseudo-device	md		# Memory/malloc disk
 pseudo-device	vn		# File image "disks"
-pseudo-device	putter		# for puffs and pud
 pseudo-device	snp		# Snoop device - to look at pty/vty/etc..
 pseudo-device	ccd	4	# Concatenated disk driver
 
diff --git a/sys/dev/misc/Makefile b/sys/dev/misc/Makefile
index 968c4d97cd..8343967252 100644
--- a/sys/dev/misc/Makefile
+++ b/sys/dev/misc/Makefile
@@ -1,5 +1,5 @@
 SUBDIR= amdsbwd cmx cpuctl dcons ecc ichwd ipmi joy kbdmux led lpbb \
-	nmdm pcfclock putter snp syscons tbridge coremctl dimm aperf
+	nmdm pcfclock snp syscons tbridge coremctl dimm aperf
 
 .if ${MACHINE_ARCH} == "x86_64"
 SUBDIR+=efirt
diff --git a/sys/vfs/Makefile b/sys/vfs/Makefile
index e818b340e7..5459457253 100644
--- a/sys/vfs/Makefile
+++ b/sys/vfs/Makefile
@@ -1,7 +1,7 @@
 # Makefile for vfs modules
 #
 
-SUBDIR=fifofs msdosfs nfs procfs puffs \
+SUBDIR=	fifofs msdosfs nfs procfs \
 	hpfs ntfs smbfs isofs mfs udf \
 	nullfs hammer tmpfs autofs
 
diff --git a/usr.sbin/Makefile b/usr.sbin/Makefile
index 54fc9ec725..52d4e79525 100644
--- a/usr.sbin/Makefile
+++ b/usr.sbin/Makefile
@@ -83,7 +83,6 @@ SUBDIR= 802_11 \
 	prefix \
 	procctl \
 	pstat \
-	puffs \
 	pw \
 	pwd_mkdb \
 	quot \
